<app-template-page
  [titre]="'Modification de la commande numero : ' + orderId + ' du client '
  + order.customerDto.lastname + ' ' + order.customerDto.firstname "
  (actionRetour)="goBackToList()"
>

  <ngb-toast
    header="Modification de la commande"
    client="bg-succes text-alght"
    *ngIf="success"
    [delay]="2000"
    (hidden)="goBackToList()"
  >
    Modifications réussie
  </ngb-toast>

  <ngb-toast
    header="Modification de la commande"
    client="bg-danger text-alght"
    *ngIf="failure"
    [delay]="2000"
    (hidden)="failure = false"
  >
    Modifications échouées
  </ngb-toast>


  <form [formGroup]="formulaireOrderEdit" *ngIf="formulaireOrderEdit">

    <fieldset class="fieldset m-5">
      <legend>Formulaire edition commande</legend>
      <div class="form-control m-2 border border-primary list-group-item-secondary">
        <label>
          Identifiant de la commande : <strong>{{order.id}}</strong>

        </label>
        <p class="text-secondary">Champs non modifiable.</p>
      </div>

      <div class="form-control m-2 border border-primary list-group-item-secondary">
        <label>
          Nom du client :  <strong>{{ ' ' + order.customerDto.lastname + ' ' + order.customerDto.firstname}}</strong>
          <p></p>
          Identifiant du client :  <strong>{{' ' + order.customerDto.id}}</strong>
          <p></p>
        </label>
        <p class="text-secondary">Champs non modifiable.</p>
      </div>

      <div class="form-control m-2 border border-primary list-group-item-secondary">
        <label>
          Libellé : <strong>{{order.label}}</strong>

        </label>
        <p class="text-secondary">Champs non modifiable.</p>
      </div>

      <div class="form-control m-2 border border-primary list-group-item-secondary">
        <label>
          Taux journalier moyen HT : <strong>{{order.adrEt}}</strong>
        </label>
        <p class="text-secondary">Champs non modifiable.</p>
      </div>

      <div class="form-control m-2
      border border-primary
      list-group-item-success">
        <label>
          Nombre de jours :
          <input formControlName="numberOfDays" type="number"
          [(ngModel)]="order.numberOfDays" min="0"/>
        </label>
        <p
          class="text-secondary"
          *ngIf="formulaireOrderEdit.controls['numberOfDays'].invalid"
        >
          Champs obligatoire.
        </p>
      </div>

      <div class="form-control m-2 border border-primary list-group-item-success">
        <label >Taux TVA :</label>
        <select formControlName="tva" [(ngModel)]="order.tva">
          <option></option>
          <option value="20">Taux normal : 20 %</option>
          <option value="10">Taux intermédiaire : 10 %</option>
          <option value="5.5">Taux réduit : 5,5 %</option>
          <option value="2.1">Taux particulier : 2,1 %</option>
        </select>
        <p
          class="text-secondary"
          *ngIf="formulaireOrderEdit.controls['tva'].invalid"
        >
          Tva en vigueur obligatoire
        </p>
      </div>



      <div class="form-control m-2 border border-primary list-group-item-success">
        <label>Status de la commande :</label>
        <select formControlName="status" [(ngModel)]="order.status">
          <option></option>
          <option>En cours</option>
          <option>Payée</option>
          <option>Non Payée</option>
        </select>
        <p
          class="text-secondary"
          *ngIf="formulaireOrderEdit.controls['status'].invalid"
        >
          Choix entre trois status (en cours, payée, non payée)
        </p>
      </div>
      <div class="form-control m-2 border border-primary list-group-item-success">
        <label>Type de commande:</label>
        <select formControlName="type" [(ngModel)]="order.type">
          <option></option>
          <option>Forfait</option>
          <option>Abonnement</option>
          <option>Achat occasionnel</option>
        </select>
        <p
          class="text-secondary"
          *ngIf="formulaireOrderEdit.controls['type'].invalid"
        >
          Choix obligatoire entre trois Type de commande (Forfait, Abonnement,
          Achat occasionnel)
        </p>
      </div>
      <div class="form-control m-2 border border-primary list-group-item-success">
        <label >Notes du client : </label>
        <textarea maxlength="250"
        formControlName="notes"
        [(ngModel)]="order.notes"
        class="form-control"
        rows="3"></textarea>

        Ne pas dépasser 250 caractères.

      </div>
    </fieldset>

    <button class="btn btn-primary" (click)="updateOrder()"
    [disabled]="formulaireOrderEdit.invalid">Valider</button>
    <button class="btn btn-secondary">
      <a [routerLink]="'../../list'">Retour</a>
    </button>
  </form>
</app-template-page>
